Switch PHP Interpreter

Discussion in 'Installation/Configuration' started by theWeird, Mar 10, 2011.

  1. theWeird

    theWeird Member

    I've just set up new ISPConfig3 Servers using OpenVZ containers.
    But before I move my client's websites to the new virtualized servers I have to ensure that their websites will run on this machine.
    I installed the guests with debian squeeze so they use PHP 5.3 which isn't backward compartible to 5.2 in some matters.

    Is it possible to install PHP 5.2 parallel on the same server and define for fastCGI-Websites which interpreter to use for the site?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    You can not define the php interpreter for fastcgi on site level. But you can e.g. define different php interpreters for the different php methods.

    As most sites should be compatible with php 5.3, you acn e.g. use php-fastcgi with php 5.3 and then install a php 5.2 manually in a different path on your server and configure suphp (in the /etc/suphp.conf file) to use this php 5.2 binary. So if a site needs php 5.2, switch it to suphp until the incompatibilities have been fixed.
     

Share This Page